-- $Id: stats.ads,v 1.2 2008/11/20 18:49:43 baker Exp $

with Virtual_Times; use Virtual_Times;
package Stats is

   type Data is record
      Max_Response_Time : Time;
      Total_Response_Time : Time;
      Job_Count : Integer;
      Missed_Deadlines : Integer;
   end record;

   procedure End_Of_Job_Update
     (D : in out Data;
      RT : Time;  -- response time
      Deadline : Time;
      Now : Time);

end Stats;
